phc-intel 0.3.2 (dkms) with Ubuntu Mate 16.04

If you have trouble with PHC you can ask and hope for help here.
Post Reply
Mate
Posts: 1
Joined: Sun 1. Jan 2017, 19:15

phc-intel 0.3.2 (dkms) with Ubuntu Mate 16.04

Post by Mate » Sun 1. Jan 2017, 19:40

Hi guys,

I am pretty new in the world of Linux, but I have installed Ubuntu MATE (kernel 4.4) on old Core 2 Duo Machine.
Since this machine has been running RMclock.exe in windows (where I saw drop of 15C) I decided that I would like to undervolt this machine on linux also.
So I have downloaded phc-intel 0.3.2 (dkms) and I have used makefile to build the module (like it is described in documentation)... but the problem is that my ubuntu kernel has built-in cpufreq drivers so I cannot kick them out, and I would need to recompile the whole kernel for this stuff to work.
Since I never recompiled the whole kernel (and I think it would take some time on this old machine) is there somewhere some good tutorial on how to do this?
Or is it much easier just to pick another distro and reinstall the whole OS... If yes which distro is compatible with this module :D

User avatar
DavidG
Posts: 180
Joined: Fri 18. Jul 2008, 11:25
Contact:

Re: phc-intel 0.3.2 (dkms) with Ubuntu Mate 16.04

Post by DavidG » Tue 3. Jan 2017, 21:23

You should be able to disable acpi-cpufreq and using phc-intel by adding "cpufreq_driver=phc-intel" to the GRUB linux commandline in /etc/defaults/grub, e.g.:

Code: Select all

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash cpufreq_driver=phc-intel"
Are you using the latest phc-intel-pack-rev23 from http://www.linux-phc.org/forum/viewtopic.php?f=7&t=267?

ibd
Posts: 2
Joined: Sat 5. May 2018, 11:17

Re: phc-intel 0.3.2 (dkms) with Ubuntu Mate 16.04

Post by ibd » Sat 5. May 2018, 18:36

Hello!

I am trying to undervolt a sandy bridge i5 processor. I am running elementary OS loki, which is based on Ubuntu 16.04.

I am a bit confused about what steps are necessary to get undervolt working. I was able to install the intel-phc just fine with the "make dkms_mkdeb" command (running in the rev26 version folder) and with the grub trick that is posted in this thread. However, the following seems to indicate that voltages cannot be read properly:

Code: Select all

cat /sys/devices/system/cpu/cpu0/cpufreq/phc_controls 
31:0 25:0 20:0 16:0 12:0 8:0 
Note that all voltages are "0".


1. Do I need to re-compile the kernel? The file you can get here does mention in a special Ubuntu readme that a separate kernel is necessary.

On the other hand, there is another release here which mentions: "Using this package you can build a patched module outside the kernel tree.
(You do not need to patch your Kernel anymore)" -- regarding a special "offtree" version.
Are these two statements contradictory? Does in not apply to Ubuntu?

2. acpi_cpufreq will not show up in "lsmod", but it will show up in "ls /sys/module". Even after installation of intel-phc and after the grub settings change in this thread, it will show up. Is that expected behavior? Is there a way to test which CPU control method is active?

All help is much appreciated.

EDIT: I forgot to add, I am running on the 4.13 kernel. I have also tried the more modern version of undervolting which uses msr-tools and rdmsr/wrmsr. I have had no luck with them, as rdmsr always gives me an error that the commonly used register for undervolting is not readable.

EDIT 2: "dmesg | grep phc" gives the following:

Code: Select all

[    3.426785] phc_intel: loading out-of-tree module taints kernel.
[    3.426819] phc_intel: module verification failed: signature and/or required key missing - tainting kernel

lio
Posts: 87
Joined: Wed 2. Mar 2011, 18:37

Re: phc-intel 0.3.2 (dkms) with Ubuntu Mate 16.04

Post by lio » Mon 7. May 2018, 21:43

ibd wrote:
Sat 5. May 2018, 18:36
I am trying to undervolt a sandy bridge i5 processor.
phc does not work with your processor.

lio

ibd
Posts: 2
Joined: Sat 5. May 2018, 11:17

Re: phc-intel 0.3.2 (dkms) with Ubuntu Mate 16.04

Post by ibd » Thu 10. May 2018, 13:05

All right, well, that settles it.

In that case, my CPU is too new for PHC but too old for the new "msr-tools" undervolt -- did I get that right?

If I can't undervolt, can I at least overclock? Do you know of any tools that would work here?

Thank you!

lio
Posts: 87
Joined: Wed 2. Mar 2011, 18:37

Re: phc-intel 0.3.2 (dkms) with Ubuntu Mate 16.04

Post by lio » Mon 4. Jun 2018, 09:49

ibd wrote:
Thu 10. May 2018, 13:05
my CPU is too new for PHC but too old for the new "msr-tools" undervolt
too new for phc - yes. What msr-tool are you talking about? Do you mean the phc-tool? As this uses phc, it has the same limitations.
If I can't undervolt, can I at least overclock? Do you know of any tools that would work here?
I don't know. Not my turf. :)

lio

Post Reply